Subject: Re: PC-Pine 4.21, need help! Wierd problem with jpg files. (fwd)

From: Robert Larmon <[email-masked]>
Date: Wed, 5 Jul 2000 09:30:40 -0700 (Pacific Daylight Time)

Thanks Dan, this solved it.  Thanks everyone for your help and
suggestions.  (BTW, Paint Shop Pro 4.x doesn't open .jpe files)

Robert

---------- Forwarded message ----------
Date: Thu, 29 Jun 2000 17:28:14 -0500 (CDT)
From: Dan Fulbright <[email-masked]>
To: Robert Larmon <[email-masked]>
Subject: Re: PC-Pine 4.21, need help! Wierd problem with jpg files.

> 	I seem to have a wierd problem opening jpg files on my PC with my
> PC.  I can open any graphic file with a different registered extension,
> except jpg.  (I use Paint Shop Pro 4.x to view them)  The odd thing is, I
> can open the file with any other mail client (e.g. Eudora 4.3.2) and Paint
> Shop Pro.  Just not jpg and PC-Pine.  Any hints?  I'm really stumped, as
> the registry entries appear nearly identical for, say, bmp and jpg.  The
> error I get is "The file type of this file is unknown" in PSP.  Also, I
> can save the file and open it with no problem.  It just doesn't want to
> open from PC-Pine.

I think I know what the problem is, but I don't know how to fix it.  When
you tell PC-Pine to view a JPEG file, it saves the file in your temp
directory as a .jpe file, then tells Windows to start your viewer with the
.jpe file on the command line.  I'm not sure exactly why it uses this
extension.  I'm guessing it is trying to use the .jpeg extension, but
because of Windows' weird treatment of long filenames, it gets mangled to
.jpe.

Anyone have a solution?

Dan Fulbright